projeto " appcompat_v7 " é criada de forma automática depois de criar um novo projeto no Eclipse

? Ali @ | Original: StackOverFlow
---

Após a criação de qualquer novo projeto Android, Eclipse cria automaticamente um projeto " appcompat_v7 " sem quaisquer arquivos sob / src. Eu não tenho nenhuma idéia de como ou por que Eclipse é a criação deste projeto. Também estou recebendo um erro estranho.

projeto " appcompat_v7 " é criada de forma automática depois de criar um novo projeto no Eclipse

Como você pode ver o AndroidManifest.xml existe no projeto !

EDIT1 : Depois de limpar o projeto o erro estranho tinha ido embora, mas eu ainda gostaria de saber por que o appcompat_v7 é criado.

EDIT2 : Notei também que Eclipse é criar automaticamente um novo layout, fragment_main.xml, sob / res / layout. POR QUE ??

Eu criei um novo espaço de trabalho, e tentou fazê-lo várias vezes. Mas eu ainda tenho esse problema .

EDIT3 : Se você escolher a versão mínima SDK após API 14 você não vai conseguir esta pasta apoio.

---

Top 5 Responder

1maaa @

Eu instalei o " repositório apoio Android " do Android SDK Gerente / Extras e os erros sumiram.

2opus44 @

Corri para este problema na noite passada. Eu estava fazendo várias coisas, incluindo a atualização do gerente SDK. Eu tive que recuar as ferramentas do SDK do Android para Rev. 22,3 e SDK Android plataforma de ferramentas para 19 .

opus44

3sony @

primeiro limpar e construir o projeto appcompat_v7 e depois limpar e construir o seu projeto. funcionou

4George Papatheodorou @

importar o projeto Android para o espaço de trabalho de / extras / android / support / então navegar para o seu projeto atual e adicioná-lo como dependência: Projeto> Propriedades> Android > Adicionar (o projeto importado) . Você deve ser capaz de ver uma marca verde ao lado do projeto importado . Remova o antigo referência que você perdeu / suprimido. A referência sobre o que esta biblioteca é pode ser encontrado https://developer.android.com/tools/support-library/setup.html

5Mokhtarabadi @

I no ubuntu só limpar aappcompat_v7 código fonte funcionou bem para mim